﻿@page
@model RegisterModel
@{
    ViewData["Title"] = "Register";
}

<h1 class="text-center mt-3">Register</h1>
<hr class="mt-3 hr-2 bg-eventures w-50" />
<form method="post" class="w-50 mx-auto">
    <div asp-validation-summary="ModelOnly" class="text-danger"></div>

    <div class="d-flex justify-content-between">
        <div class="form-group w-45">
            <div class="d-flex justify-content-center">
                <label asp-for="Input.UserName" class="font-weight-bold text-center">   </label>
            </div>
            <input asp-for="Input.UserName" class="form-control" type="text" placeholder="Username..." />
            <span asp-validation-for="Input.UserName" class="text-danger"></span>
        </div>
        <div class="form-group w-45">
            <div class="d-flex justify-content-center">
                <label asp-for="Input.Email" class="font-weight-bold">   </label>
            </div>
            <input asp-for="Input.Email" class="form-control" type="email" placeholder="Email..." />
            <span asp-validation-for="Input.Email" class="text-danger"></span>
        </div>
    </div>

    <div class="d-flex justify-content-between">
        <div class="form-group w-45">
            <div class="d-flex justify-content-center">
                <label asp-for="Input.Password" class="font-weight-bold text-center">   </label>
            </div>
            <input asp-for="Input.Password" class="form-control" type="password" placeholder="Password..." />
            <span asp-validation-for="Input.Password" class="text-danger"></span>
        </div>
        <div class="form-group w-45">
            <div class="d-flex justify-content-center">
                <label asp-for="Input.ConfirmPassword" class="font-weight-bold">   </label>
            </div>
            <input asp-for="Input.ConfirmPassword" class="form-control" type="password" placeholder="Confirm password..." />
            <span asp-validation-for="Input.ConfirmPassword" class="text-danger"></span>
        </div>
    </div>
    <hr class="mt-3 hr-2 bg-eventures" />

    <div class="d-flex justify-content-between">
        <div class="form-group w-45">
            <div class="d-flex justify-content-center">
                <label asp-for="Input.FirstName" class="font-weight-bold text-center">   </label>
            </div>
            <input asp-for="Input.FirstName" class="form-control" type="text" placeholder="First Name..." />
            <span asp-validation-for="Input.FirstName" class="text-danger"></span>
        </div>
        <div class="form-group w-45">
            <div class="d-flex justify-content-center">
                <label asp-for="Input.LastName" class="font-weight-bold">   </label>
            </div>
            <input asp-for="Input.LastName" class="form-control" type="text" placeholder="Last Name..." />
            <span asp-validation-for="Input.LastName" class="text-danger"></span>
        </div>

    </div>
    <div class="form-group">
        <div class="d-flex justify-content-center">
            <label asp-for="Input.UCN" class="font-weight-bold">   </label>
        </div>
        <input asp-for="Input.UCN" class="form-control" type="text" placeholder="Unique Citizen Number..." />
        <span asp-validation-for="Input.UCN" class="text-danger"></span>
    </div>
    <hr class="mt-3 hr-2 bg-eventures" />
    <div class="d-flex justify-content-center">
        <button type="submit" class="btn bg-eventures">Register</button>
    </div>
</form>




@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}
